diff -ur softwerk-3.0/libs/midi++2/midi.cc softwerk-3.0-nott/libs/midi++2/midi.cc
--- softwerk-3.0/libs/midi++2/midi.cc	2009-08-24 18:30:43.000000000 +0200
+++ softwerk-3.0-nott/libs/midi++2/midi.cc	2010-01-05 23:24:35.000000000 +0100
@@ -161,7 +161,7 @@
 	char *lparen;
 	size_t len;
 
-	if ((lparen = strrchr (name, '(')) != 0) {
+	if ((lparen = strrchr (const_cast<char*>(name), '(')) != 0) {
 		return atoi (lparen+1);
 	} else {
 		len = strcspn (name, "0123456789");
diff -ur softwerk-3.0/libs/pbd/convert.cc softwerk-3.0-nott/libs/pbd/convert.cc
--- softwerk-3.0/libs/pbd/convert.cc	2009-08-24 18:30:43.000000000 +0200
+++ softwerk-3.0-nott/libs/pbd/convert.cc	2010-01-05 23:20:10.000000000 +0100
@@ -17,6 +17,8 @@
 
 */
 
+#include <cstdio>
+
 #include <cmath>
 #include <locale>
 #include <algorithm>
@@ -27,6 +29,7 @@
 #include <inttypes.h>
 #include <glibmm/ustring.h>
 
+
 #include "pbd/convert.h"
 
 #include "i18n.h"
diff -ur softwerk-3.0/libs/pbd/stacktrace.cc softwerk-3.0-nott/libs/pbd/stacktrace.cc
--- softwerk-3.0/libs/pbd/stacktrace.cc	2009-08-24 18:30:43.000000000 +0200
+++ softwerk-3.0-nott/libs/pbd/stacktrace.cc	2010-01-05 23:20:49.000000000 +0100
@@ -17,6 +17,8 @@
 
 */
 
+#include <cstdio>
+
 #include <pbd/stacktrace.h>
 #include <iostream>
 
diff -ur softwerk-3.0/src/actions.cc softwerk-3.0-nott/src/actions.cc
--- softwerk-3.0/src/actions.cc	2009-08-24 18:30:42.000000000 +0200
+++ softwerk-3.0-nott/src/actions.cc	2010-01-05 23:28:34.000000000 +0100
@@ -215,7 +215,7 @@
 void
 ActionManager::uncheck_toggleaction (const char * name)
 {
-	char *last_slash = strrchr (name, '/');
+	char *last_slash = strrchr ( const_cast<char*>(name), '/');
 
 	if (last_slash == 0) {
 		fatal << string_compose (_("programmer error: %1 %2"), X_("illegal toggle action name"), name) << endmsg;
